---
title: llarp::AddressMapConfig
summary: tells us how to map different addresses on start up. 

---

# llarp::AddressMapConfig



tells us how to map different addresses on start up. 


`#include <config.hpp>`

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::unordered_map< std::string, std::tuple< [layers::platform::AddressMapping](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md), [service::AuthInfo](Classes/structllarp_1_1service_1_1AuthInfo.md) > > | **[mappings](Classes/structllarp_1_1AddressMapConfig.md#variable-mappings)**  |

## Public Attributes Documentation

### variable mappings

```cpp
std::unordered_map< std::string, std::tuple< layers::platform::AddressMapping, service::AuthInfo > > mappings;
```


-------------------------------

Updated on 2023-04-27 at 04:17:16 +0000